#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests

Summary:	Serialize all of Python
Summary(pl.UTF-8):	Serializacja całości Pythona
Name:		python3-dill
Version:	0.3.9
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/dill/
Source0:	https://files.pythonhosted.org/packages/source/d/dill/dill-%{version}.tar.gz
# Source0-md5:	78fcf5de86dec908c440baf7e5749c4e
URL:		https://pypi.org/project/dill/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dill extends Python's pickle module for serializing and de-serializing
Python objects to the majority of the built-in Python types.
Serialization is the process of converting an object to a byte stream,
and the inverse of which is converting a byte stream back to a Python
object hierarchy.

%description -l pl.UTF-8
dill rozszerza moduł Pythona pickle do serializacji i deserializacji
obiektów pythonowych na większość wbudowanych typów Pythona.
Serializacja to proces przekształcania obiektu na strumień bajtów, a
deserializacja - odwrotność, czyli konwersja strumienia bajtów z
powrotem do hierarchii obiektów Pythona.

%package apidocs
Summary:	API documentation for Python dill module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona dill
Group:		Documentation

%description apidocs
API documentation for Python dill module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona dill.

%prep
%setup -q -n dill-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python3} tests/__main__.py
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

for bin in get_objgraph undill ; do
	%{__mv} $RPM_BUILD_ROOT%{_bindir}/${bin} $RPM_BUILD_ROOT%{_bindir}/${bin}-3
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_bindir}/get_gprof
%attr(755,root,root) %{_bindir}/get_objgraph-3
%attr(755,root,root) %{_bindir}/undill-3
%{py3_sitescriptdir}/dill
%{py3_sitescriptdir}/dill-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/{_static,*.html,*.js}
%endif
%changelog
* Mon Mar 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dill.git;a=log;h=master

* Mon Mar 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> ecf7d4e
- Up to 0.3.9

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ea079cd
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d831417
- python 3.13 rebuild

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 2120c37
- added python2 note

* Tue Sep 13 2022 Jakub Bogusz <qboosh@pld-linux.org> da5cbc5
- updated to 0.3.5.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> f9a4191
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> bdb2d3c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 59ec27f
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 1a0f2ca
- release 2 (by relup.sh)

* Tue Feb 09 2021 Jakub Bogusz <qboosh@pld-linux.org> cbb5ea6
- new

